Package com.io7m.idstore.model

# Record Class IdAdminCreate

java.lang.Object
java.lang.Record
com.io7m.idstore.model.IdAdminCreate

Record Components:
  `id` - The admin ID (if an explicit ID is desired)
  `idName` - The id name
  `realName` - The real name
  `email` - The email
  `password` - The password
  `permissions` - The permissions

public record IdAdminCreate(Optional<UUID> id, IdName idName, IdRealName realName, IdEmail email, IdPassword password, IdAdminPermissionSet permissions) extends Record
Information required to create a admin.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdAdminCreate(Optional<UUID> id, IdName idName, IdRealName realName, IdEmail email, IdPassword password, IdAdminPermissionSet permissions)`
  Information required to create a admin.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdEmail`
  `email()`
  Returns the value of the `email` record component.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Optional<UUID>`
  `id()`
  Returns the value of the `id` record component.
  `IdName`
  `idName()`
  Returns the value of the `idName` record component.
  `IdPassword`
  `password()`
  Returns the value of the `password` record component.
  `IdAdminPermissionSet`
  `permissions()`
  Returns the value of the `permissions` record component.
  `IdRealName`
  `realName()`
  Returns the value of the `realName` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdAdminCreate

    public IdAdminCreate(Optional<UUID> id, IdName idName, IdRealName realName, IdEmail email, IdPassword password, IdAdminPermissionSet permissions)
    Information required to create a admin.
    Parameters:
      `id` - The admin ID (if an explicit ID is desired)
      `idName` - The id name
      `realName` - The real name
      `email` - The email
      `password` - The password
      `permissions` - The permissions

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### id

    public Optional<UUID> id()
    Returns the value of the `id` record component.
    Returns:
      the value of the `id` record component

  - ### idName

    public IdName idName()
    Returns the value of the `idName` record component.
    Returns:
      the value of the `idName` record component

  - ### realName

    public IdRealName realName()
    Returns the value of the `realName` record component.
    Returns:
      the value of the `realName` record component

  - ### email

    public IdEmail email()
    Returns the value of the `email` record component.
    Returns:
      the value of the `email` record component

  - ### password

    public IdPassword password()
    Returns the value of the `password` record component.
    Returns:
      the value of the `password` record component

  - ### permissions

    public IdAdminPermissionSet permissions()
    Returns the value of the `permissions` record component.
    Returns:
      the value of the `permissions` record component